#!/bin/sh

mode=$1
ver=$2
oldver=$3
if [ "$mode" = "" -o "$ver" = "" -o "$oldver" = "" ]; then
	echo "usage: RELEASE.sh cloudmin|webmin|theme version old-version"
	exit 1
fi
cd /usr/local/webadmin

if [ "$mode" = "cloudmin" ]; then
        ssh root@fudu "cd /usr/local/webadmin ; ./makemodulerpm.pl --sign --dir server-manager server-manager-gpl"
        scp /usr/src/redhat/RPMS/noarch/wbm-server-manager-$ver.gpl-1.noarch.rpm virtualmin@virtualmin.com:domains/vm2.virtualmin.com/public_html/gpl/universal/
        ssh virtualmin@virtualmin.com "cd domains/vm2.virtualmin.com/public_html/gpl/universal ; createrepo -s sha ."

	./create-module.pl --dir server-manager --sign virtualmin/server-manager-$ver.gpl.wbm.gz server-manager-gpl
	scp virtualmin/server-manager-$ver.gpl.wbm.gz* virtualmin@virtualmin.com:domains/vm2.virtualmin.com/public_html/gpl/wbm/
        ssh virtualmin@virtualmin.com "sed -e 's/$oldver/$ver/' -i domains/vm2.virtualmin.com/public_html/gpl/wbm/updates.txt"

	ssh lentor "cd /usr/local/webadmin ; ./makemoduledeb.pl --dir server-manager server-manager-gpl ; cp /tmp/webmin-server-manager_${ver}.gpl_all.deb /usr/local/download/deb/cloudmin-gpl/binary"
	ssh lentor "cd /usr/local/download/deb/cloudmin-gpl ; ./make-repo.sh"
	( cd /usr/local/download/deb/cloudmin-gpl ; rsync --rsh=ssh -r -v * virtualmin@virtualmin.com:domains/vm2.virtualmin.com/public_html/gpl/debian/ )
fi

if [ "$mode" = "webmin" ]; then
	scp /usr/local/webadmin/rpm/webmin-$ver-1.noarch.rpm virtualmin@virtualmin.com:domains/vm2.virtualmin.com/public_html/gpl/universal/
	ssh virtualmin@virtualmin.com "cd domains/vm2.virtualmin.com/public_html/gpl/universal ; createrepo -s sha ."

	scp /usr/local/webadmin/tarballs/webmin-$ver.tar.gz virtualmin@virtualmin.com:domains/vm2.virtualmin.com/public_html/gpl/wbm/
	ssh virtualmin@virtualmin.com "cd domains/vm2.virtualmin.com/public_html/gpl/wbm ; rm webmin-current.tar.gz ; ln -s webmin-$ver.tar.gz webmin-current.tar.gz ; echo $ver > webmin-version"

	cp /usr/local/webadmin/deb/webmin_${ver}_all.deb /usr/local/download/deb/cloudmin-gpl/binary
	ssh lentor "cd /usr/local/download/deb/cloudmin-gpl ; ./make-repo.sh"
        ( cd /usr/local/download/deb/cloudmin-gpl ; rsync --rsh=ssh -r -v * virtualmin@virtualmin.com:domains/vm2.virtualmin.com/public_html/gpl/debian/ )
fi

if [ "$mode" = "theme" ]; then
        scp /usr/src/redhat/RPMS/noarch/wbt-virtual-server-theme-$themever-1.noarch.rpm virtualmin@virtualmin.com:domains/vm2.virtualmin.com/public_html/gpl/universal/
        ssh virtualmin@virtualmin.com "cd domains/vm2.virtualmin.com/public_html/gpl/universal ; createrepo -s sha ."

        scp /usr/local/webadmin/virtualmin/virtual-server-theme-$themever.wbt.gz* virtualmin@virtualmin.com:domains/vm2.virtualmin.com/public_html/gpl/wbm/
        ssh virtualmin@virtualmin.com "sed -e 's/$oldver/$ver/' -i domains/vm2.virtualmin.com/public_html/gpl/wbm/updates.txt"

        ssh lentor "cp /tmp/webmin-virtual-server-theme_${themever}_all.deb /usr/local/download/deb/cloudmin-gpl/binary"
        ssh lentor "cd /usr/local/download/deb/cloudmin-gpl ; ./make-repo.sh"
        ( cd /usr/local/download/deb/cloudmin-gpl ; rsync --rsh=ssh -r -v * virtualmin@virtualmin.com:domains/vm2.virtualmin.com/public_html/gpl/debian/ )
fi

